Weather Underground widget with forecast

widgetgallery
weatherunderground
Tags: #<Tag:0x00007f0141abc428> #<Tag:0x00007f0141abc2e8>

(Bastiaan van Haastrecht) #124

When you install new versions of an addon, you always need to re-add the Thing otherwise it will not have the new channel.


(Marc Zunder) #125

Hi guys,

I am a little lost…

I installed the widget and I installed the weather underground binding and got the API as well. So far I have the “local weather” thing that show the respective values as well within the control section.

Now the widget shows nothing but the following:

I haven’t installed the icons yet (because I am totally new to Raspberry and need to figure it out) but the values should be shown anyway, correct?

Anyone know what I am missing?

Marc


(Vincent Regaud) #126

Hi Ian,
I like that a lot, could you share your widget, please?
Thank you


(Ian) #127

Hi Vincent
There is another thread here with the one I did.


(Adrian) #128

Hi All,

I have problems with Weatherundeground binding. I followed instructions from KidSquid in this topic and installed weatherundeground binding from latest snapshot openhab-addons-2.3.0-SNAPSHOT.kar

The problem is that this binding is showing installed, but i can’t start it.

232 | Active | 75 | 0.10.0.b1 | Eclipse SmartHome RegEx Transformation Service
237 | Installed | 80 | 0.10.0.201803241900 | WeatherUnderground Binding
openhab> bundle:resolve 237
openhab> bundle:requirements 237
Bundle 237 is not resolved.
openhab> bundle:start 237
Error executing command: Error executing command on bundles:
Error starting bundle 237: Could not resolve module: org.eclipse.smarthome.binding.weatherunderground [237]
Unresolved requirement: Import-Package: javax.measure
openhab>

Any ideas what is missing?

Also on the side note: PaperUI does not detect the binding I have copied to my addons folder.


(Bastiaan van Haastrecht) #129

What OH version are you on? The weather underground binding needs to 2.3 #1212 and newer. You seem to be on 2.2 .


(Adrian) #130

Bastiaan,

You’re right I was on 2.2.0. I have upgraded to 2.3.0 snapshot #1242 and after fiddling a little bit I got this widget working.

Thank you very much for your help. Great looking widget!

What is confusing and I think few users before me got confused as well is the folder structure in your first post, we are missing “master” in folder name. It should be as follows:

  • /conf/html/weather-underground-icons-master

(Greg Grotsky) #131

Hello all!

I installed OpenHAB2 yesterday and I’ve been trying to learn and figure out the configuration settings… there’s a lot to it. Anyway, I’ve read this thread and I’m really close to having this working but the icons still don’t show. I’ve upgraded to 2.3.0-SNAPSHOT (#1246) and I can see the temperature values and days of the week.

However, when the page loads and it tries to get to the css file the browser complains that it can’t find it. The URL it is using to try to get to the css file hasn’t resolved the {{ServerPath}} variable and instead it translates it into a URL-safe version with %7B and %7D:
http://\<MyServerAddress\>/habpanel/%7B%7BServerPath%7D%7D/wu-icons-style.min.css

I’m not sure how this is even happening because before I copied the wind.png/feel.png/humidity.png, immediately below the css error were errors about being unable to resolve the wind/feel/humidity png files from the correct locations! I temporarily removed the wind.png file just to recreate the situation so I could screen capture it for this post. See:
ServerPath%20Error

Any idea what is happening here and any ideas on how to fix it?

Thanks!
-Greg


(Stork) #132

Hello,

nice modification…

Can you please share the CSS modification for german…that save a lot of work and time

Thank you.

Regards
Thorsten


(Felix) #133

Sorry, but where exactly do I find these “three .png icons”?


(Bastiaan van Haastrecht) #134

In the first post, there’s a link to the github repository.


(Felix) #135

Oh well, the link was disguised as a json file :sweat_smile:
Thanks!


(Jan Heidle) #136

Hi everyone,

I have the same issues, I get always this:

In the PaperUI I see all the values so the binding works but somehow the icons won’t be loaded. Folder structure is accurate to the instruction and I can access all the icons and the css. How I can I test what works wrong?

I have openHAB 2.3.0 Build #12443 snapshot running. Please help, I’m working on this since a few weeks and I couldn’t make it happen.

Thanks
Jan


(Sandra wolf) #137

Hello,
I´m very new with the openhab, but i figured out that i don´t have the openHAB 2.3.0 Build #12443 snapshot running. I tried the links in this Thread, but I can´t open the .kar file. It just opens a midi file. Could you please tell me where to get the snapshot?


(Bastiaan van Haastrecht) #138

https://openhab.ci.cloudbees.com/job/openHAB-Distribution/


(Gerhard Wagner) #139

Hello!
I get the following error message every day in the late afternoon. After midnight it works against normal.
Does anyone have the same problem or knows a solution for it?


fehler2
Thank You


(Jan Heidle) #140

Nobody here who can help?


(Gustavo Z. B.) #141

Thanks for all


(Christian Karl) #142

Hello to all!
I can not get WeatherUnderground Binding 2.3 running.
I use raspbian on raspberry.
In PaperUI under Add-ons is WeatherUnderground Binding 2.2.0.
I downloaded openhab-addons-2.3.0-SNAPSHOT.kar. I unzipped and found org.eclipse.smarthome.binding.weatherunderground-0.10.0-SNAPSHOT.jar
I followed the faq. How to use snapshot.
In openhab-cli console i did bundle:unistall org.eclipse.smarthome.binding.weatherunderground
Then I copyed the jar-file in openhab2-addons on raspberry.
I restarted openhab2.
But there is nowhere WeatherUnderground Binding 2.3

Everything else - the png images, the values from weatherground, my location is working. Only these icons to get is really hard.

Regards, Christian

I can swap between theese versions:
openhab> bundle:list -s | grep weather
203 │ Installed │ 80 │ 0.10.0.201804200816 │ org.eclipse.smarthome.binding.weatherunderground
204 │ Active │ 80 │ 0.10.0.b1 │ org.eclipse.smarthome.binding.weatherunderground


(Gustavo Z. B.) #144

Try stop openhab2 service, delete the contents of “/var/lib/openhab2/cache” and “/var/lib/openhab2/tmp” e start openhab 2 service.
In my case I had to change my openhab version to 2.3 snapshot in openhab-config